var
	isstarted
	not_paused
	score = 0
	spores = 0
	spores_needed = 10
	level = 1
	level_bonus = 10
	HP = 100
	maxs = 600
	buffer

proc/Start_Game()
	isstarted = 1
	not_paused = 1
	player.update_skin()
	for(var/turf/Spawn/S in world)
		spawn() S.Initiate()
	world << "Go!"

proc/spore_death(obj/Projectile/Spore/S)
	if(not_paused)
		score += S.score
		spores++
		spawn()
			player.update_skin()
			if(spores >= spores_needed)
				level_up()
	return

proc/level_up()
	not_paused = 0
	buffer = 1
	for(var/obj/Projectile/P in world) del(P)
	spores = 0
	spores_needed = round(spores_needed*1.5)
	level++
	score += level_bonus
	level_bonus += level*10
	if(maxs >= 50) maxs -= 10
	do_sleep_rate(1,maxs)
	world << "Level up! You are now on level [level]; press space to continue."
	player.update_skin()
	sleep(10)
	buffer = 0

proc/Hurt(damage)
	HP -= damage
	new/obj/red_flash(player.client)
	if(HP <= 0)
		Dead()
	player.update_skin()

obj/red_flash
	icon = 'red flash.dmi'
	screen_loc = "1,1 to 13,13"
	layer = MOB_LAYER+1
	New(client/C)
		C.screen += src
		sleep(1)
		C.screen -= src
		del(src)

proc/Dead()
	not_paused = 1
	buffer = 1
	winset(player,"deadw","is-default=true")
	winset(player,"deadw","is-visible=true")
	winset(player,"window1","is-visible=false")
	winset(player,"dead",{"text="Game over! Hope you enjoyed the game!
You made it to level [level], and your score was [score]""})